com.rscja.team.qcom.custom

## Class RFIDWithUHFShuangYingDianZi_qcom

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.team.qcom.deviceapi.RFIDWithUHFUART_qcom
    - - com.rscja.team.qcom.custom.RFIDWithUHFShuangYingDianZi_qcom

- All Implemented Interfaces:
    IRFIDWithUHFShuangYingDianZi, IHandheldRFID, ISingleAntenna, IUHF, IUHFOfAndroidUart

      public class RFIDWithUHFShuangYingDianZi_qcom
      extends RFIDWithUHFUART_qcom
      implements IRFIDWithUHFShuangYingDianZi

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RFIDWithUHFShuangYingDianZi_qcom` | `getInstance()`
    `UHFTAGInfo` | `inventorySingleTag()` 单步识别标签 Identify tag in single mode
    `UHFTAGInfo` | `readTagFromBuffer()` Deprecated.
    `boolean` | `setEPCAndTIDMode()` 设置循环盘点同时读取 EPC、TID 模式 Setup auto scan to acquire EPC, TID mode
    `boolean` | `setEPCAndTidReservedModeEx(int epc_ptr, int epc_len, int reserved_prt, int reserved_len)`
    `boolean` | `setEPCAndTidReservedModeEx(java.lang.String accessPwd, int epc_ptr, int epc_len, int reserved_prt, int reserved_len)` 设置循环盘点同时读取 TID + EPC区 + Reserve区 Setup auto scan to acquire EPC, TID, Reserved mode
    `boolean` | `setEPCAndTIDUserModeEx(int mode, int tid_ptr, int tid_len, int user_prt, int user_len)`
    `boolean` | `setEPCAndUserReservedModeEx(int mode, int reserved_ptr, int reserved_len, int user_prt, int user_len)`
    `boolean` | `setEPCMode()` 设置循环盘点只获取EPC的数据 Setup auto scan to acquire EPC only

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.RFIDWithUHFUART_qcom

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getEPCAndTIDUserModeEx, getErrCode, getFastInventoryMode, getFrequencyMode, getGen2, getHardwareVersion, getLBTMode, getPower, getProtocol, getRFLink, getTagLocate, getTemperature, getVersion, init, inventorySingleTag, isInventorying, isPowerOn, killTag, killTag, lockMem, lockMem, readData, readData, setConnectionStatusCallback, setCW, setDynamicDistance, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setGen2, setInventoryCallback, setLBTMode, setPower, setPowerOnBySystem, setProtocol, setRFLink, setTagFocus, setUart, startInventoryTag, startInventoryTag, startLocation, startRadarLocation, stopInventory, stopLocation, stopRadarLocation, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, UHFVerifyVoltage, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `readTcpServiceState, setOnLowBatteryListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFOfAndroidUart

      `getErrCode, getHardwareVersion, isPowerOn, setOnLowBatteryListener, setPowerOnBySystem, setUart`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, setConnectionStatusCallback, setCW, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

- - ### Method Detail

    - #### getInstance

          public static RFIDWithUHFShuangYingDianZi_qcom getInstance()
                                                              throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### setEPCMode

          public boolean setEPCMode()

      Description copied from interface: `IUHF`
      设置循环盘点只获取EPC的数据
      Setup auto scan to acquire EPC only
      Specified by:
        `setEPCMode` in interface `IRFIDWithUHFShuangYingDianZi`
      Specified by:
        `setEPCMode` in interface `IUHF`
      Overrides:
        `setEPCMode` in class `RFIDWithUHFUART_qcom`
      Returns:
        true:成功(success) false:失败(failure)

    - #### setEPCAndTIDMode

          public boolean setEPCAndTIDMode()

      Description copied from interface: `IUHF`
      设置循环盘点同时读取 EPC、TID 模式
      Setup auto scan to acquire EPC, TID mode
      Specified by:
        `setEPCAndTIDMode` in interface `IRFIDWithUHFShuangYingDianZi`
      Specified by:
        `setEPCAndTIDMode` in interface `IUHF`
      Overrides:
        `setEPCAndTIDMode` in class `RFIDWithUHFUART_qcom`
      Returns:
        true:成功(success) false:失败(failure)

    - #### setEPCAndUserReservedModeEx

          public boolean setEPCAndUserReservedModeEx(int mode,
                                                     int reserved_ptr,
                                                     int reserved_len,
                                                     int user_prt,
                                                     int user_len)

      Specified by:
        `setEPCAndUserReservedModeEx` in interface `IRFIDWithUHFShuangYingDianZi`
      Overrides:
        `setEPCAndUserReservedModeEx` in class `RFIDWithUHFUART_qcom`

    - #### setEPCAndTIDUserModeEx

          public boolean setEPCAndTIDUserModeEx(int mode,
                                                int tid_ptr,
                                                int tid_len,
                                                int user_prt,
                                                int user_len)

      Specified by:
        `setEPCAndTIDUserModeEx` in interface `IRFIDWithUHFShuangYingDianZi`
      Overrides:
        `setEPCAndTIDUserModeEx` in class `RFIDWithUHFUART_qcom`

    - #### setEPCAndTidReservedModeEx

          public boolean setEPCAndTidReservedModeEx(java.lang.String accessPwd,
                                                    int epc_ptr,
                                                    int epc_len,
                                                    int reserved_prt,
                                                    int reserved_len)

      设置循环盘点同时读取 TID + EPC区 + Reserve区
      Setup auto scan to acquire EPC, TID, Reserved mode
      Specified by:
        `setEPCAndTidReservedModeEx` in interface `IRFIDWithUHFShuangYingDianZi`
      Parameters:
        `reserved_prt` - reserved区起始地址
        reserved area start address
        `reserved_len` - reserved区长度
        reserved area data length
        `epc_ptr` - epc区起始地址
        epc area start address
        `epc_len` - epc区长度
        epc area data length
      Returns:
        true:成功(success) false:失败(failure)

    - #### setEPCAndTidReservedModeEx

          public boolean setEPCAndTidReservedModeEx(int epc_ptr,
                                                    int epc_len,
                                                    int reserved_prt,
                                                    int reserved_len)

      Specified by:
        `setEPCAndTidReservedModeEx` in interface `IRFIDWithUHFShuangYingDianZi`

    - #### inventorySingleTag

          public UHFTAGInfo inventorySingleTag()

      Description copied from interface: `IUHF`
      单步识别标签
      Identify tag in single mode
      Specified by:
        `inventorySingleTag` in interface `IRFIDWithUHFShuangYingDianZi`
      Specified by:
        `inventorySingleTag` in interface `IUHF`
      Overrides:
        `inventorySingleTag` in class `RFIDWithUHFUART_qcom`
      Returns:
        返回标签信息(return tag infor)

    - #### readTagFromBuffer

          public UHFTAGInfo readTagFromBuffer()

      Description copied from interface: `IUHF`
      Deprecated. Use `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` instead .
      Specified by:
        `readTagFromBuffer` in interface `IRFIDWithUHFShuangYingDianZi`
      Specified by:
        `readTagFromBuffer` in interface `IUHF`
      Overrides:
        `readTagFromBuffer` in class `RFIDWithUHFUART_qcom`